using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsEnergyCost {

        //에너지원별 비용 조회
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "설비타입"), Required]
        public int FacilityTypeId { get; set; }
        [Display(Name = "설비코드"), Key]
        public int FacilityCode { get; set; }
        [Display(Name = "해빙운전 전력소비량")]
        public double? PowerConsumption1 { get; set; }
        [Display(Name = "제빙운전 전력소비량")]
        public double? PowerConsumption2 { get; set; }
        [Display(Name = "가스 소모량")]
        public double? GasConsumption { get; set; }
        [Display(Name = "가스 열량")]
        public double? GasHeatQuantity { get; set; }
        [Display(Name = "전력 가격 타입")]
        public int? PowerPriceTypeId { get; set; }
        [Display(Name = "가스 가격 타입")]
        public int? GasPriceTypeId { get; set; }
        [Display(Name = "사용여부")]
        public bool? IsUse { get; set; }

        [ForeignKey("SiteId,FacilityCode")]
        public virtual CmFacility CmFacility { get; set; }
    }
}
